//
// lcirc.hxx
//
// Copyright (C) 1996-7 by Leonard Janke (janke@unixg.ubc.ca)

#ifndef _LCIRC_HXX
#define _LCIRC_HXX

#include <lmisc/ltypes.hxx>

class LCirc
{
public:
  static inline void CirculateLeft(u32&, int);
  static inline void CirculateRight(u32&, int);
  static inline u32 LeftCirculation(const u32, int);
  static inline u32 RightCirculation(const u32, int);
};

#include <chnhash/lcirc.inl>

#endif
